Get industry
Path parameters
idstringRequired
The industry identifier.
Query parameters
selectstringOptional
Optional select expression.
Responses
200
OK
application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
statusstring · enumOptionalPossible values:
404
Not Found
application/json
get/public/v1/public-catalog/industries/{id}
GET /public/v1/public-catalog/industries/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"published": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"unpublished": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"description": "text",
"status": "Draft"
}Last updated
Was this helpful?